Subject: [Cellar] Re: FW: Audio Vivid registration on Matroska formats
From: Steve Lhomme <[email-masked]>
To: "Gaoyuan (Alex, Media Lab)" <[email-masked]>
Cc: Cheng Li <[email-masked]>, Wendianjie <[email-masked]>, Codec Encoding for LossLess Archiving and Realtime transmission <[email-masked]>
Date: Thu, 29 Jan 2026 12:50:51 +0100
List-Id: Codec Encoding for LossLess Archiving and Realtime transmission <cellar.ietf.org>

Hi everyone,

To register the codec in Matroska it should indeed go into the "Matroska 
Codec IDs Registry" but it doesn't exist yet.

It will be done when this draft is published 
https://datatracker.ietf.org/doc/draft-ietf-cellar-codec/
So hopefully in a few weeks/months.

I don't know if there is a process at the IETF to initiate registration 
for a pending registry. Or you may just have to wait a little bit more.

However as said in the draft [1]:

"To register a new Codec ID in this registry, one needs a Codec ID 
string, a TrackType value, a description, a Change Controller, and an 
optional Reference to a document describing the Codec ID."

So you may prepare these.

Also if a document to the bitstream of the codec is available, that will 
help to map the various parameters of the codec into Matroska elements. 
This is the same kind of information that often comes with ISOBMFF codec 
mapping as well.

Best regards,
Steve

[1] 
https://www.ietf.org/archive/id/draft-ietf-cellar-codec-16.html#name-matroska-codec-ids-registry

On 12/9/2025 8:48 PM, Spencer Dawkins at IETF wrote:
> Hi, Cheng and Alex,
> 
> I have now remembered that I owe you an answer about the procedure for 
> registering the Audio Vivid 3D audio codec for use with Matroska. We 
> have our December Cellar working group meeting today, and I will make 
> sure we provide you with an answer.
> 
> Best,
> 
> Spence
> 
> On Thu, Nov 6, 2025 at 1:58 AM Gaoyuan (Alex, Media Lab) 
> <[email-masked] <mailto:[email-masked]>> wrote:
> 
>     Hi Spencer,____
> 
>     Thanks for your guidance. Actually, our target is to solve the
>     problem of identifying the Audio Vivid bitstream in MKV format, not
>     for the wide range of IANA.____
> 
>     About the MKV file format, we found the IETF specification RFC 9559
>     - Matroska Media Container Format Specification (https://www.rfc-
>     editor.org/rfc/rfc9559.html <https://www.rfc-editor.org/rfc/
>     rfc9559.html>), which is in the status of proposed standard. ____
> 
>     __ __
> 
>     In RFC 9559, section 5.1.4.1.21 gives a definition of *CodecID
>     Element*, in which a draft spec draft-ietf-cellar-codec (in the
>     status of Active Internet-Draft) is referenced. In its newest
>     version draft-ietf-cellar-codec-15 (https://datatracker.ietf.org/
>     doc/html/draft-ietf-cellar-codec-15 <https://datatracker.ietf.org/
>     doc/html/draft-ietf-cellar-codec-15>), the mainstream audio, video
>     and subtitle standards are registered, including HEVC, VVC, VP
>     series, AAC family, AC3 and DTS. ____
> 
>     __ __
> 
>     *So is it possible to register the Audio Vivid codec in draft-ietf-
>     cellar-codec, so that in the MKV file format the Audio Vivid
>     bitstream could be recognized without ambiguity. ____*
> 
>     __ __
> 
>     BR,____
> 
>     Yuan____
> 
>     __ __
> 
>     *发件人:*Spencer Dawkins at IETF <[email-masked]
>     <mailto:[email-masked]>>
>     *发送时间:*2025年10月29日22:14
>     *收件人:*Cheng Li <[email-masked] <mailto:[email-masked]>>
>     *抄送:*Gaoyuan (Alex, Media Lab) <[email-masked]
>     <mailto:[email-masked]>>
>     *主题:*Re: FW: Audio Vivid registration on Matroska formats____
> 
>     __ __
> 
>     Hi, Old Friend ... 😁, and I apologize to you and to Alex for the
>     slow response. ____
> 
>     __ __
> 
>     Cellar is the right place to ask about this, and I'm one of the
>     Cellar co-chairs. ____
> 
>     __ __
> 
>     I THINK it's correct that Matroska doesn't actually care about codec
>     types - it just uses codec types to connect container contents it
>     doesn't understand to a decoder that DOES understand the contents. I
>     note that https://www.iana.org/assignments/media-types/audio/
>     matroska <https://www.iana.org/assignments/media-types/audio/
>     matroska> doesn't name a complete set of applications, only giving a
>     few examples. ____
> 
>     __ __
> 
>     I THINK the question is actually about adding a new media type to
>     this IANA registry: https://www.iana.org/assignments/media-types/
>     media-types.xml#audio <https://www.iana.org/assignments/media-types/
>     media-types.xml#audio>____
> 
>     __ __
> 
>     If that's correct, that's not actually under Cellar control, but we
>     can ask for guidance from the Experts (Alexey Melnikov, Darrel
>     Miller, Murray Kucherawy). I know two of the three. ____
> 
>     __ __
> 
>     I am not at IETF 124 this coming week, but I see that you are
>     registered onsite (good work!). IANA also has office hours at most
>     IETF meetings, and it would be good to talk with them for general
>     guidance (perhaps after we ask the Experts). ____
> 
>     __ __
> 
>     Does that sound like a good plan?____
> 
>     __ __
> 
>     Best,____
> 
>     __ __
> 
>     Spencer____
> 
>     __ __
> 
>     On Tue, Oct 14, 2025 at 1:19 AM Cheng Li <[email-masked]
>     <mailto:[email-masked]>> wrote:____
> 
>         Hi Spencer,____
> 
>         ____
> 
>         Long time no see, how are you doing? Trust you are doing well. ____
> 
>         I am Cheng Li, from Huawei. We met several times in IETF
>         meetings, like in Singapore😊____
> 
>         ____
> 
>         My colleague Yuan has a question about applying for a new code
>         registration of a new 3D audio method, and he believes the right
>         place should be IETF Cellar WG. ____
> 
>         Luckily, I found an old friend as the Chair, therefore, I reach
>         out to you to ask for your flavor.____
> 
>         ____
> 
>         For the details, please see below email. Basically, Yuan would
>         like to how can they register the new code.____
> 
>         As far as I know, we might need to apply it in IANA through the
>         Cellar WG, however, I am not really which type of allocation it
>         is, FCFS or IETF standard, or Expert review or others.____
> 
>         If you can help, that will be great! Thank you so much in
>         advance!____
> 
>         ____
> 
>         Best regards,____
> 
>         Cheng____
> 
>         ____
> 
>         ____
> 
>         ____
> 
>         *From:*Gaoyuan (Alex, Media Lab) <[email-masked]
>         <mailto:[email-masked]>>
>         *Sent:* Tuesday, October 14, 2025 11:47 AM
>         *To:* Cheng Li <[email-masked] <mailto:[email-masked]>>
>         *Subject:* Audio Vivid registration on Matroska formats____
> 
>         ____
> 
>         Dear Cheng,____
> 
>         ____
> 
>         How are you doing? Recently, we have a request to apply for some
>         code points in IETF, but I am not that familiar with IETF, so we
>         would like to ask for your help.____
> 
>         ____
> 
>         Background:____
> 
>         ____
> 
>         Audio Vivid is a new 3D audio coding standard which is
>         standardized by UWA(https://uhd-world-association.com/ <https://
>         uhd-world-association.com/>). The carriage of Audio Vivid
>         bitstream in the media container formats like ISOBMFF and MPEG
>         TS have been standardized in the recent years. However, the
>         Codec Mapping of Audio Vivid in Matroska formats (e.g. MKV) is
>         not defined yet.
> 
>         Through investigation of the Matroska standard, we found that
>         the key information, such as *Codec ID, Codec Name, and
>         Initialization, need to be registered*. We are wondering about
>         the registration procedure, could you help us to clarify how to
>         do this, and how long it will take to finish the workflow.
> 
>         Another thing is, if the registration usually takes a long time,
>         is there any way to make sure the proposed Codec ID (or
>         something else to uniquely identify a certain format) of Audio
>         Vivid is not occupied by the other formats?____
> 
>         ____
> 
>         *Yuan Gao*____
> 
>         Standardization & Industry Development Dept____
> 
>         Mob: +86 13811075985 *I*E-mail: [email-masked]
>         <mailto:[email-masked]>____
> 
>         Huawei Technologies Co. Ltd____
> 
> 
> _______________________________________________
> Cellar mailing list -- [email-masked]
> To unsubscribe send an email to [email-masked]